Skip to main content
GET
/
service
/
v2
/
bulk-search
/
list
List Bulk Search Jobs
curl --request GET \
  --url https://oathnet.org/api/service/v2/bulk-search/list \
  --header 'x-api-key: <api-key>'
{
  "count": 123,
  "next": "<string>",
  "previous": "<string>",
  "results": [
    {
      "id": "<string>",
      "job_id": "<string>",
      "status": "queued",
      "created_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "progress": {
        "records_done": 123,
        "records_total": 123,
        "bytes_done": 123,
        "percent": 123,
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "result": {
        "format": "<string>",
        "file_name": "<string>",
        "file_path": "<string>",
        "file_size": 123,
        "records": 123,
        "ready_at": "2023-11-07T05:31:56Z",
        "expires_at": "2023-11-07T05:31:56Z"
      },
      "last_error": "<string>",
      "request": {
        "type": "<string>",
        "service": "<string>",
        "format": "<string>",
        "limit": 123,
        "fields": [
          "<string>"
        ],
        "request_count": 123
      },
      "next_poll_after_ms": 123,
      "metadata": {},
      "user": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "search_service": "<string>",
      "output_format": "<string>",
      "results_expired": true,
      "query": "<string>",
      "results_count": 123,
      "lookups_deducted": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.oathnet.org/llms.txt

Use this file to discover all available pages before exploring further.

Returns a paginated raw JSON list of owned bulk-search jobs.

Authorizations

x-api-key
string
header
required

API key for authentication (lowercase header name)

Query Parameters

page
integer
page_size
integer

Response

200 - application/json

Paginated raw list of bulk-search jobs

count
integer
next
string
previous
string
results
object[]